Bug 211297 - /etc/rc.d/rc.sysint invokes dmraid w/o /usr mounted
Summary: /etc/rc.d/rc.sysint invokes dmraid w/o /usr mounted
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-18 15:28 UTC by Jeff Johnson
Modified: 2014-03-17 03:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 20:12:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnson 2006-10-18 15:28:49 UTC
Description of problem:

The /sbin/dmraid executable is linked against
$ ldd /sbin/dmraid
        ...
        libdmraid.so.1.0.0.rc12 => /usr/lib/libdmraid.so.1.0.0.rc12 (0x004ae000)
        ...
but is used in /etc/rc.d/rc.sysinit before /usr is mounted.

Version-Release number of selected component (if applicable):


How reproducible:

Remove the stderr redirection, boot from a root fs on raid.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Easiest fix is to use the statically linked variants of dmraid (and dmsetup).

Alternatively, the library could/should be moved to /lib.

There's a 3rd possibility, rewriting rc.sysinit to avoid invoking dmraid
when /usr is not mounted.

And finally there's the 4th existing hack, redirecting stderr to ignore an
operation that seems not to be critical.

Comment 1 Bill Nottingham 2006-10-18 15:50:31 UTC
Fixed in CVS. Will be in 8.46-1, 8.45.4-1.

Comment 2 Fedora Update System 2006-10-31 03:14:11 UTC
initscripts-8.45.4-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2006-11-06 19:55:02 UTC
initscripts-8.45.5-1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.